httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rabea Husseis <rhuss...@yahoo.com>
Subject Can't "make" apache_1.3.22
Date Sat, 20 Apr 2002 09:40:58 GMT
Hello...

Appreciate ur help on the following problem.

I'm trying to install Apache_1.3.22 on Solaris 7 (SUN
Sparc Server), I can "./configure" the binaries but
when I do "make" I receive error msg as blw:

# ./configure --prefix=/usr/local/apache
Configuring for Apache, Version 1.3.22
 + using installation path layout: Apache
(config.layout)
 + Warning: no Perl interpreter detected for support
scripts.
 + Perhaps you need to specify one with
--with-perl=FILE.
Creating Makefile
Creating Configuration.apaci in src
Creating Makefile in src
 + configured for Solaris 270 platform
 + setting C compiler to gcc
 + setting C pre-processor to gcc -E
 + checking for system header files
 + adding selected modules
 + using builtin Expat
 + checking sizeof various data types
 + doing sanity check on compiler and options
Creating Makefile in src/support
Creating Makefile in src/os/unix
Creating Makefile in src/ap
Creating Makefile in src/main
Creating Makefile in src/lib/expat-lite
Creating Makefile in src/modules/standard             

# make
===> src
===> src/os/unix
gcc -c  -I../../os/unix -I../../include  
-DSOLARIS2=270 -DUSE_EXPAT -I../../lib
/expat-lite -DNO_DL_NEEDED `../../apaci` os.c
gcc -c  -I../../os/unix -I../../include  
-DSOLARIS2=270 -DUSE_EXPAT -I../../lib
/expat-lite -DNO_DL_NEEDED `../../apaci` os-inline.c
rm -f libos.a
ar cr libos.a os.o os-inline.o
ranlib libos.a
<=== src/os/unix
===> src/ap
gcc -c  -I../os/unix -I../include   -DSOLARIS2=270
-DUSE_EXPAT -I../lib/expat-li
te -DNO_DL_NEEDED `../apaci` ap_cpystrn.c
gcc -c  -I../os/unix -I../include   -DSOLARIS2=270
-DUSE_EXPAT -I../lib/expat-li
te -DNO_DL_NEEDED `../apaci` ap_execve.c
gcc -c  -I../os/unix -I../include   -DSOLARIS2=270
-DUSE_EXPAT -I../lib/expat-li
te -DNO_DL_NEEDED `../apaci` ap_fnmatch.c
gcc -c  -I../os/unix -I../include   -DSOLARIS2=270
-DUSE_EXPAT -I../lib/expat-li
te -DNO_DL_NEEDED `../apaci` ap_getpass.c
gcc -c  -I../os/unix -I../include   -DSOLARIS2=270
-DUSE_EXPAT -I../lib/expat-li
te -DNO_DL_NEEDED `../apaci` ap_md5c.c
gcc -c  -I../os/unix -I../include   -DSOLARIS2=270
-DUSE_EXPAT -I../lib/expat-li
te -DNO_DL_NEEDED `../apaci` ap_signal.c
gcc -c  -I../os/unix -I../include   -DSOLARIS2=270
-DUSE_EXPAT -I../lib/expat-li
te -DNO_DL_NEEDED `../apaci` ap_slack.c
gcc -c  -I../os/unix -I../include   -DSOLARIS2=270
-DUSE_EXPAT -I../lib/expat-li
te -DNO_DL_NEEDED `../apaci` ap_snprintf.c
as: "/var/tmp/ccOGla8E.s", line 3318: error: unknown
opcode ".subsection"
as: "/var/tmp/ccOGla8E.s", line 3318: error: statement
syntax
as: "/var/tmp/ccOGla8E.s", line 3442: error: unknown
opcode ".previous"
as: "/var/tmp/ccOGla8E.s", line 3442: error: statement
syntax
*** Error code 1
make: Fatal error: Command failed for target
`ap_snprintf.o'
Current working directory /apache_1.3.22/src/ap
*** Error code 1
make: Fatal error: Command failed for target `subdirs'
Current working directory /apache_1.3.22/src
*** Error code 1
make: Fatal error: Command failed for target
`build-std'
Current working directory /apache_1.3.22
*** Error code 1
make: Fatal error: Command failed for target `build'
# 

Hope my problem is clear.

thanx in advance

Rabea

__________________________________________________
Do You Yahoo!?
Yahoo! Games - play chess, backgammon, pool and more
http://games.yahoo.com/

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message